| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Functions | Variables
ffmpegkit_abidetect.c File Reference

Go to the source code of this file.

## Functions
jint | JNI_OnLoad (JavaVM *vm, void *reserved)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi (JNIEnv *env, jclass object)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi (JNIEnv *env, jclass object)
JNIEXPORT jboolean JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild (JNIEnv *env, jclass object)
JNIEXPORT jstring JNICALL | Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf (JNIEnv *env, jclass object)

## Variables
const char * | abiDetectClassName = "com/arthenica/ffmpegkit/AbiDetect"
JNINativeMethod | abiDetectMethods []

## Function Documentation

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns loaded ABI name.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  loaded ABI name as UTF string

Definition at line 70 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns build configuration for FFmpeg.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  build configuration string

Definition at line 142 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi()

JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns ABI name of the running cpu.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  ABI name of the running cpu as UTF string

Definition at line 93 of file ffmpegkit_abidetect.c.

## ◆ Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild()

JNIEXPORT jboolean JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild | ( | JNIEnv * | env,
|  | jclass | object
| ) |  |

Returns whether FFmpegKit release is a long term release or not.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked

Returns
  yes or no

Definition at line 127 of file ffmpegkit_abidetect.c.

## ◆ JNI_OnLoad()

jint JNI_OnLoad | ( | JavaVM * | vm,
|  | void * | reserved
| ) |  |

Called when 'abidetect' native library is loaded.

Parameters

  vm | pointer to the running virtual machine
  reserved | reserved

Returns
  JNI version needed by 'abidetect' library

Definition at line 42 of file ffmpegkit_abidetect.c.

## Variable Documentation

## ◆ abiDetectClassName

const char* abiDetectClassName = "com/arthenica/ffmpegkit/AbiDetect"

Full name of the Java class that owns native functions in this file.

Definition at line 25 of file ffmpegkit_abidetect.c.

## ◆ abiDetectMethods

JNINativeMethod abiDetectMethods[]

Initial value:
= {
{"getNativeAbi", "()Ljava/lang/String;", (void*) Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi},
{"getNativeCpuAbi", "()Ljava/lang/String;", (void*) Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi},
{"isNativeLTSBuild", "()Z", (void*) Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild},
{"getNativeBuildConf", "()Ljava/lang/String;", (void*) Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf}
}
Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi
JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeAbi(JNIEnv *env, jclass object)
Definition ffmpegkit_abidetect.c:70
Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf
JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeBuildConf(JNIEnv *env, jclass object)
Definition ffmpegkit_abidetect.c:142
Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild
JNIEXPORT jboolean JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_isNativeLTSBuild(JNIEnv *env, jclass object)
Definition ffmpegkit_abidetect.c:127
Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi
JNIEXPORT jstring JNICALL Java_com_arthenica_ffmpegkit_AbiDetect_getNativeCpuAbi(JNIEnv *env, jclass object)
Definition ffmpegkit_abidetect.c:93

Prototypes of native functions defined by this file.

Definition at line 28 of file ffmpegkit_abidetect.c.